CREATE GLOBAL TEMPORARY TABLE salary_raise(
       old_salary NUMBER(9,2),
       new_salary NUMBER(9,2)
) ON COMMIT PRESERVE ROWS
/
INSERT INTO salary_raise
       (SELECT pay_amount,pay_amount * 1.2
          FROM employee
         WHERE pay_type_code = 'S')
/
COMMIT
/
--The second session cannot see the first session's data,
--but it can see the actual database object. The second session
--can enter it's own information into the table independently 
--of others' data.
    
